import setuptools

install_deps = [
    'datetime',
    'tqdm',
    'fastremap',
    'scikit-learn==1.2.2',
    'numpy',#1.18.5
    'scipy',
    'torch',
    'tifffile',
    'paramiko',
    'pillow==9.1',
    'PyQt5',
    'scikit-image',#0.17.2
    'opencv-python',
    'pyqtgraph==0.12.4',
    'ruamel.yaml',
    #'tensorflow',#2.3.0
    'keras==2.3.1',
    'natsort',
    'numba==0.53.1',
    'matplotlib==3.5',
    'protobuf==3.20.1',
]


with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="neuropixelai",
    version="1.0",
    author="LiLab",
    author_email="dadadadasukede@gmail.com",
    description="A package for calcium image processing",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url=" ",
    setup_requires=install_deps,
    packages=setuptools.find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: BSD License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6'
)